LINUX.ORG.RU
ФорумTalks

Но пациент оживать отказался

 , , ,


0

1

Захотелось посмотреть, как пара фич была в старом гноме сделана, решил по-быстрому поставить куски ненужно-DE для этого. Писали же, что есть её репозиторий для арча, ну вот и...

1. Адрес, указанный на официальном сайте, возвращает 404: http://packages.mate-desktop.org/repo/archlinux/mate/$arch

2. Адрес девелоперской репы, указанный в арчевики, возвращает 404: http://packages.mate-desktop.org/repo/archlinux/development/$arch

3. Другой адрес, указанный в арчевики, доступен: http://repo.mate-desktop.org/archlinux/$arch

4. На скачивании пакета mate-menus, libcurl (ну или чем там pacman пакеты качает?) сходит с ума и качать отказывается. Скачал и поставил его руками.

5. При попытке попользоваться этим поделием, выясняется, что бинарники тупо не запускаются из-за отсутствующих библиотек. Репозиторий, видимо, шлаководы собирали, так что половина зависимостей просто не указана. При чем не опциональных зависимостей, а конкретно зависимостей линковки. Ну а опциональные зависимости это и вовсе заумная математика для сборщиков, их там нет. Ладно, я не гордый, поставил зависимости руками...

6. ... почти. Потому что на пакет mate-vfs мне было отвечено следующее:

# pacman -S mate-vfs
разрешение зависимостей...
проверка на взаимную несовместимость...

Цели (2):

Название        Старая версия  Новая версия  Изменение размера  Необходимо загрузить

mate-mime-data                 1.4.0-1       4,24 MiB                       0,31 MiB
mate-vfs                       1.4.0-1       6,58 MiB                       0,69 MiB

Будет загружено:    1,00 MiB
Будет установлено:  10,82 MiB

Приступить к установке? [Y/n] 
:: Получение пакетов с mate...
 mate-mime-data-1.4.0-1-any                                                                           321,6 KiB   592K/s 00:01 [#############################################################################]  31%
 mate-vfs-1.4.0-1-i686                                                                               1022,5 KiB   579K/s 00:02 [#############################################################################]  99%
(2/2) проверяется целостность пакета                                                                                           [#############################################################################] 100%
:: Файл /var/cache/pacman/pkg/mate-mime-data-1.4.0-1-any.pkg.tar.xz поврежден (неверный или поврежденный пакет(контрольная сумма)).
Хотите его удалить? [Y/n] y
:: Файл /var/cache/pacman/pkg/mate-vfs-1.4.0-1-i686.pkg.tar.xz поврежден (неверный или поврежденный пакет(контрольная сумма)).
Хотите его удалить? [Y/n] y
ошибка: не удалось завершить запрос (неверный или поврежденный пакет(контрольная сумма))
Обнаружены ошибки, пакеты не были обновлены.

Собственно, у меня вопрос. На форуме есть хоть один пользователь этого поделия? А среди арчеводов? Этот репозиторий даже сами сборщики не проверяли, похоже. «Релиз», мать его.

P.S. В свете всего этого строка «проверка на взаимную несовместимость...» в выводе pacman-а приобретает новые оттенки смысла.

Репозиторий, видимо, шлаководы собирали, так что половина зависимостей просто не указана.

В квотезы!

CYB3R ★★★★★ ()

Помнится, я его в арче запустил один раз, когда он только появился. Долго возился со сборкой из AUR (сырцы из аргентинского сервера еле качались), но потом когда запустил, осознал, что переименование libgnome-* в libmate-* вызвало ломание совместимости со многим софтом.

Например gajim крэшился при попытке связаться с gnome-keyring, потому что либа назывется libmate-keyring. И пересборкой это не исправить.

Короче, MATE - труп от рождения.

shahid ★★★★★ ()

Поставь через ftp - он должен работать.

aidan ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.